        SUBROUTINE DMPF61
      COMPILER (LIB=FILE1)
         INCLUDE FORENV
        COMMON/VDUMMY/VD(1)
        DEFINE VDD(I)=VD(I)
        DEFINE Z(I)=VDD(I-LOC(VD(1))+1)
      COMPILER (GEN=NOTRA)
        INTEGER STANM(30)/' TYPE 0',
     1                          ' TYPE 1',
     1                          ' TYPE 2',
     1                          ' TYPE 3',
     1                          ' TYPE 4',
     1                          ' LABEL ITEM' ,
     1                          ' STMT TYPE',
     1                          ' BEGIN PGM' ,
     1                          ' END OF F61',
     1                          '           ',
     1                          'UNIT NUMBER',
     1                          'I/O ARGUMENT',
     1                          'HOLL NAME',
     1                          'CHNGE COUNTR',
     1                          'INIT TEMP'/
        COMMON/N6MNZZ/VI01,VI03,VI04
        ID=S1(VI03)
      PARAMETER NUST=21         @ MAX NUMBER OF ID
        IF(ID.GE.NUST)    RETURN
1       IZ=ID+1
        GO TO ( 100,   @ TYPE 0
     1          101,   @ TYPE 1
     1          101,   @ TYPE 2
     1          101 ,  @ TYPE 3
     1          101 ,  @ TYPE 4
     1          101 ,     @ LABEL
     1         101 ,  @ STATE TYPE
     1          101 ,  @BEGIN PROG
     1          101 ,  @END OF FILE
     1          110 ,  @ NOTHING
     1          102 ,  @ UNIT NUMBER
     1          102 ,  @ I/O ARGUMENT
     1          101 ,  @ HOLL NAME
     1          101 ,  @ CHANGE COUNTER
     1       103  ,   @ INIT TEMP
     1          105,       @ ARGUMENT PLUS TYPE
     1   105,  105,   @
     1          105,       @ ARGUMENT PLUS TYPE
     1      105,106),IZ
100       IS=FLD(20,16,VI04)     @    SYM    REF
1000    R1=Z(IS)        @ TRANSFER FOUR WORDS OF SYM REF FOR EDITING
       R2=Z(IS+1)
       R3=Z(IS+2)
        R4=Z(IS+3)
        WRITE (6,900) R1,R2,STANM(2*IZ-1),STANM(2*IZ),VI03,
     1                R3,R4,STANM(2*IZ-1),STANM(2*IZ),VI04
110    RETURN
101     WRITE(6,901) VI03,VI04, STANM(2*IZ-1),STANM(2*IZ)
      RETURN
102     IF(S2(VI03).NE.0)   GO TO 101
        GO TO 100
103     IS=H1(VI04)
        GO TO 1000
105     ID=ID-15
        GO TO 1
  106 IZ=12 ; GO TO 101
900    FORMAT(27X,2O13,1X,'F61   ',2A6,4X,O12)
901    FORMAT (27X,2O13,1X,'F61   ',2A6)
        ENTRY   DMF60
         COMMON/N6FSZZ/DUMM(3),VI05(15)
        COMMON/N6MNZZ/ DUMY(32),VI60ID
        DOUBLE PRECISION
     $          F60ID(14)/'SOURCE  ','FORMAT ','HOL CONST ','DATA STA',
     1'END F60 ','TYPE 5  ','TYPE 6 ','NAMELIST','TYPE 8 ','MACRO DIAG',
     2'GEN SOURCE','FILE TABLE','SOURCE CONT','MACRO WRITE'/
        ID=FLD(1,5,VI05)
        WRITE(6,1900)      F60ID(ID+1)
1900    FORMAT(25X,'F60 DUMP...RECORD TYPE IS ',A12)
          IQ=15
          WRITE(6,1901)(VI05(I),I=1,IQ), VI60ID
1901    FORMAT   (10X,8O14)
        RETURN
        END
